Package tigase.util.repository

## Class RepositoryUtils

- java.lang.Object
- - tigase.util.repository.RepositoryUtils

-     public class RepositoryUtils
      extends java.lang.Object

  Describe class RepositoryUtils here.
  Created: Sat Oct 28 13:09:26 2006
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `checkContact​(BareJID user, UserRepository repo, java.lang.String cont)` |
    `static void` | `copyNode​(BareJID user, java.lang.String node, UserRepository src, UserRepository dst)` |
    `static void` | `copyRepositories​(UserRepository src, AuthRepository dst)` |
    `static void` | `copyRepositories​(UserRepository src, UserRepository dst)` |
    `static void` | `copyUser​(BareJID user, UserRepository src, AuthRepository dst)` |
    `static void` | `copyUser​(BareJID user, UserRepository src, UserRepository dst)` |
    `static void` | `exportRoster​(UserRepository repo, java.io.Writer w)` |
    `static void` | `exportUserRoster​(BareJID user, UserRepository repo, java.io.Writer w)` |
    `static void` | `loadTestData​(UserRepository repo)` |
    `static void` | `main​(java.lang.String[] args)` |
    `static void` | `parseParams​(java.lang.String[] args)` |
    `static void` | `printNode​(BareJID user, UserRepository repo, java.lang.String prefix, java.lang.String node)` |
    `static void` | `printRepoContent​(UserRepository repo)` |
    `static void` | `removeTestData​(UserRepository repo)` |
    `static void` | `repairRoster​(UserRepository repo)` |
    `static void` | `repairUserRoster​(BareJID user, UserRepository repo)` |
    `static void` | `simpleTest​(UserRepository repo)` |
    `static void` | `userAddTest​(UserRepository re)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryUtils

          public RepositoryUtils()

  - ### Method Detail

    - #### checkContact

          public static boolean checkContact​(BareJID user,
                                             UserRepository repo,
                                             java.lang.String cont)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### copyNode

          public static void copyNode​(BareJID user,
                                      java.lang.String node,
                                      UserRepository src,
                                      UserRepository dst)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### copyRepositories

          public static void copyRepositories​(UserRepository src,
                                              UserRepository dst)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### copyRepositories

          public static void copyRepositories​(UserRepository src,
                                              AuthRepository dst)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### copyUser

          public static void copyUser​(BareJID user,
                                      UserRepository src,
                                      UserRepository dst)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### copyUser

          public static void copyUser​(BareJID user,
                                      UserRepository src,
                                      AuthRepository dst)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### exportRoster

          public static void exportRoster​(UserRepository repo,
                                          java.io.Writer w)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### exportUserRoster

          public static void exportUserRoster​(BareJID user,
                                              UserRepository repo,
                                              java.io.Writer w)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### loadTestData

          public static void loadTestData​(UserRepository repo)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### main

          public static void main​(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### parseParams

          public static void parseParams​(java.lang.String[] args)
                                  throws TigaseStringprepException

      Throws:
        `TigaseStringprepException`

    - #### printNode

          public static void printNode​(BareJID user,
                                       UserRepository repo,
                                       java.lang.String prefix,
                                       java.lang.String node)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### printRepoContent

          public static void printRepoContent​(UserRepository repo)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeTestData

          public static void removeTestData​(UserRepository repo)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### repairRoster

          public static void repairRoster​(UserRepository repo)
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### repairUserRoster

          public static void repairUserRoster​(BareJID user,
                                              UserRepository repo)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### simpleTest

          public static void simpleTest​(UserRepository repo)
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### userAddTest

          public static void userAddTest​(UserRepository re)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`